Bug 1608229 - Parts of iotest cases in SRPM don't have execute permission
Summary: Parts of iotest cases in SRPM don't have execute permission
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Tingting Mao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-25 07:26 UTC by Tingting Mao
Modified: 2018-11-01 11:15 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-10.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 11:13:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3443 None None None 2018-11-01 11:15:19 UTC

Description Tingting Mao 2018-07-25 07:26:54 UTC
Description of problem:
There is no execution permission for several cases in qemu-iotests directory.

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.12.0-8.el7

How reproducible:
100%

Steps to Reproduce:
1. Get the source code
# /usr/libexec/qemu-kvm --version (Get qemu-kvm's version: version)
# brew download-build --rpm qemu-kvm-rhev-2.12.0-8.el7.src.rpm
# rpm -ivhf qemu-kvm-rhev-2.12.0-8.el7.src.rpm
# rpmbuild -bp /root/rpmbuild/SPECS/qemu-kvm.spec --nodeps 
2. Check info of the cases
# cd /root/rpmbuild/BUILD/qemu-2.10.0
# ./configure 
# cd tests/qemu-iotests/
# ll 214 215 217  222 223 226
-rw-r--r-- 1 root root 3735 Jul 25 02:53 214
-rw-r--r-- 1 root root 3909 Jul 25 02:53 215
-rw-r--r-- 1 root root 2259 Jul 25 02:53 217
-rw-r--r-- 1 root root 4731 Jul 25 02:53 222
-rw-r--r-- 1 root root 3761 Jul 25 02:53 223
-rw-r--r-- 1 root root 1919 Jul 25 02:53 226


Actual results:
There is no execution permission for 214 215 217  222 223 and 226 cases.

Expected results:
All the cases should have the execution permission.

Additional info:

Comment 2 Jeff Nelson 2018-07-25 20:08:08 UTC
I'm pretty sure we just inherit this from upstream. We should fix it there so we don't have to keep around a downstream-only patch.

Comment 3 Miroslav Rezanina 2018-08-02 07:28:58 UTC
(In reply to Jeff Nelson from comment #2)
> I'm pretty sure we just inherit this from upstream. We should fix it there
> so we don't have to keep around a downstream-only patch.

These are iotests backported from upstream. Unfortunately, creating these files from rpm removes executable bits (bit can be correct in tree (although it's not in our tree in all cases - not set for 222 and 223 due to manual handling).

To solve this issue we have to switch from patch to git for setup of tree to build. However, it's too late for this for 7.6 so we will do this in 7.7.

For now we can use manual fix of permissions for iotests.

Comment 4 Miroslav Rezanina 2018-08-10 10:49:16 UTC
Fix included in qemu-kvm-rhev-2.12.0-10.el7

Comment 6 Tingting Mao 2018-08-13 11:32:31 UTC
Verify this issue like below:

1. Get the source code
# brew download-build --rpm --arch=x86_64 qemu-kvm-rhev-2.12.0-10.el7.src.rpm
# rpm -ivhf qemu-kvm-rhev-2.12.0-10.el7.src.rpm
# rpmbuild -bp /root/rpmbuild/SPECS/qemu-kvm.spec --nodeps 
2. Check info of the cases
# cd /root/rpmbuild/BUILD/qemu-2.12.0/
# ./configure 
# cd tests/qemu-iotests/
3. Check the modes of the iotest files---> All the cases has the execution mode, and the mode is '755'.
[root@lenovo-sr630-01 qemu-iotests]# ll | grep -v "\."
total 10180
-rwxr-xr-x 1 test test    1496 Apr 24 12:30 001
-rwxr-xr-x 1 test test    2558 Apr 24 12:30 002
-rwxr-xr-x 1 test test    1891 Apr 24 12:30 003
-rwxr-xr-x 1 test test    2343 Apr 24 12:30 004
-rwxr-xr-x 1 test test    1908 Apr 24 12:30 005
-rwxr-xr-x 1 test test    1696 Apr 24 12:30 007
-rwxr-xr-x 1 test test    1500 Apr 24 12:30 008
-rwxr-xr-x 1 test test    1468 Apr 24 12:30 009
-rwxr-xr-x 1 test test    1501 Apr 24 12:30 010
-rwxr-xr-x 1 test test    1748 Apr 24 12:30 011
-rwxr-xr-x 1 test test    1569 Apr 24 12:30 012
-rwxr-xr-x 1 test test    2304 Apr 24 12:30 013
-rwxr-xr-x 1 test test    1872 Apr 24 12:30 014
-rwxr-xr-x 1 test test    2588 Apr 24 12:30 015
-rwxr-xr-x 1 test test    2566 Apr 24 12:30 017
-rwxr-xr-x 1 test test    2682 Apr 24 12:30 018
-rwxr-xr-x 1 test test    3751 Apr 24 12:30 019
-rwxr-xr-x 1 test test    3779 Apr 24 12:30 020
-rwxr-xr-x 1 test test    1489 Apr 24 12:30 021
-rwxr-xr-x 1 test test    1575 Apr 24 12:30 022
-rwxr-xr-x 1 test test    2881 Apr 24 12:30 023
-rwxr-xr-x 1 test test    6461 Aug 13 06:30 024
-rwxr-xr-x 1 test test    2074 Apr 24 12:30 025
-rwxr-xr-x 1 test test    4877 Aug 13 06:30 026
-rwxr-xr-x 1 test test    2290 Apr 24 12:30 027
-rwxr-xr-x 1 test test    3631 Apr 24 12:30 028
-rwxr-xr-x 1 test test    2795 Apr 24 12:30 029
-rwxr-xr-x 1 test test   35937 Aug 13 06:30 030
-rwxr-xr-x 1 test test    2103 Apr 24 12:30 031
-rwxr-xr-x 1 test test    1838 Apr 24 12:30 032
-rwxr-xr-x 1 test test    3838 Apr 24 12:30 033
-rwxr-xr-x 1 test test    3802 Apr 24 12:30 034
-rwxr-xr-x 1 test test    1667 Apr 24 12:30 035
-rwxr-xr-x 1 test test    3606 Apr 24 12:30 036
-rwxr-xr-x 1 test test    3919 Apr 24 12:30 037
-rwxr-xr-x 1 test test    3259 Apr 24 12:30 038
-rwxr-xr-x 1 test test    4663 Apr 24 12:30 039
-rwxr-xr-x 1 test test   16098 Aug 13 06:30 040
-rwxr-xr-x 1 test test   42171 Aug 13 06:30 041
-rwxr-xr-x 1 test test    1709 Apr 24 12:30 042
-rwxr-xr-x 1 test test    2361 Apr 24 12:30 043
-rwxr-xr-x 1 test test    3791 Apr 24 12:30 044
-rwxr-xr-x 1 test test    7252 Apr 24 12:30 045
-rwxr-xr-x 1 test test    6245 Apr 24 12:30 046
-rwxr-xr-x 1 test test    1578 Apr 24 12:30 047
-rwxr-xr-x 1 test test    2396 Apr 24 12:30 048
-rwxr-xr-x 1 test test    3421 Apr 24 12:30 049
-rwxr-xr-x 1 test test    1880 Apr 24 12:30 050
-rwxr-xr-x 1 test test   12231 Aug 13 06:30 051
-rwxr-xr-x 1 test test    1676 Apr 24 12:30 052
-rwxr-xr-x 1 test test    1716 Apr 24 12:30 053
-rwxr-xr-x 1 test test    1360 Apr 24 12:30 054
-rwxr-xr-x 1 test test   21194 Apr 24 12:30 055
-rwxr-xr-x 1 test test   12046 Apr 24 12:30 056
-rwxr-xr-x 1 test test    9725 Apr 24 12:30 057
-rwxr-xr-x 1 test test    4236 Apr 24 12:30 058
-rwxr-xr-x 1 test test    4979 Apr 24 12:30 059
-rwxr-xr-x 1 test test   16578 Aug 13 06:30 060
-rwxr-xr-x 1 test test    9223 Apr 24 12:30 061
-rwxr-xr-x 1 test test    1594 Apr 24 12:30 062
-rwxr-xr-x 1 test test    3108 Aug 13 06:30 063
-rwxr-xr-x 1 test test    2705 Apr 24 12:30 064
-rwxr-xr-x 1 test test    4830 Apr 24 12:30 065
-rwxr-xr-x 1 test test    5016 Apr 24 12:30 066
-rwxr-xr-x 1 test test    4287 Apr 24 12:30 067
-rwxr-xr-x 1 test test    2242 Apr 24 12:30 068
-rwxr-xr-x 1 test test    1617 Apr 24 12:30 069
-rwxr-xr-x 1 test test    2521 Apr 24 12:30 070
-rwxr-xr-x 1 test test    6373 Apr 24 12:30 071
-rwxr-xr-x 1 test test    1887 Apr 24 12:30 072
-rwxr-xr-x 1 test test    4951 Apr 24 12:30 073
-rwxr-xr-x 1 test test    2134 Apr 24 12:30 074
-rwxr-xr-x 1 test test    3430 Apr 24 12:30 075
-rwxr-xr-x 1 test test    2784 Apr 24 12:30 076
-rwxr-xr-x 1 test test    5594 Apr 24 12:30 077
-rwxr-xr-x 1 test test    2730 Apr 24 12:30 078
-rwxr-xr-x 1 test test    1449 Apr 24 12:30 079
-rwxr-xr-x 1 test test    8291 Apr 24 12:30 080
-rwxr-xr-x 1 test test    4480 Apr 24 12:30 081
-rwxr-xr-x 1 test test    8441 Aug 13 06:30 082
-rwxr-xr-x 1 test test    3363 Apr 24 12:30 083
-rwxr-xr-x 1 test test    3524 Apr 24 12:30 084
-rwxr-xr-x 1 test test    6804 Apr 24 12:30 085
-rwxr-xr-x 1 test test    1604 Apr 24 12:30 086
-rwxr-xr-x 1 test test    4395 Apr 24 12:30 087
-rwxr-xr-x 1 test test    1938 Apr 24 12:30 088
-rwxr-xr-x 1 test test    3894 Apr 24 12:30 089
-rwxr-xr-x 1 test test    1441 Apr 24 12:30 090
-rwxr-xr-x 1 test test    2780 Apr 24 12:30 091
-rwxr-xr-x 1 test test    3278 Apr 24 12:30 092
-rwxr-xr-x 1 test test   14370 Apr 24 12:30 093
-rwxr-xr-x 1 test test    2339 Apr 24 12:30 094
-rwxr-xr-x 1 test test    2280 Aug 13 06:30 095
-rwxr-xr-x 1 test test    2535 Apr 24 12:30 096
-rwxr-xr-x 1 test test    4645 Apr 24 12:30 097
-rwxr-xr-x 1 test test    1913 Apr 24 12:30 098
-rwxr-xr-x 1 test test    3737 Apr 24 12:30 099
-rwxr-xr-x 1 test test    1338 Apr 24 12:30 101
-rwxr-xr-x 1 test test    2364 Apr 24 12:30 102
-rwxr-xr-x 1 test test    4226 Apr 24 12:30 103
-rwxr-xr-x 1 test test    1326 Apr 24 12:30 104
-rwxr-xr-x 1 test test    1678 Apr 24 12:30 105
-rwxr-xr-x 1 test test    3520 Apr 24 12:30 106
-rwxr-xr-x 1 test test    1411 Apr 24 12:30 107
-rwxr-xr-x 1 test test    3950 Apr 24 12:30 108
-rwxr-xr-x 1 test test    3986 Aug 13 06:30 109
-rwxr-xr-x 1 test test    2405 Apr 24 12:30 110
-rwxr-xr-x 1 test test    1416 Apr 24 12:30 111
-rwxr-xr-x 1 test test    8484 Apr 24 12:30 112
-rwxr-xr-x 1 test test    1893 Aug 13 06:30 113
-rwxr-xr-x 1 test test    1689 Apr 24 12:30 114
-rwxr-xr-x 1 test test    3531 Apr 24 12:30 115
-rwxr-xr-x 1 test test    2698 Apr 24 12:30 116
-rwxr-xr-x 1 test test    2091 Apr 24 12:30 117
-rwxr-xr-x 1 test test   27725 Apr 24 12:30 118
-rwxr-xr-x 1 test test    1570 Apr 24 12:30 119
-rwxr-xr-x 1 test test    1820 Apr 24 12:30 120
-rwxr-xr-x 1 test test    4194 Apr 24 12:30 121
-rwxr-xr-x 1 test test   11082 Aug 13 06:30 122
-rwxr-xr-x 1 test test    1480 Apr 24 12:30 123
-rwxr-xr-x 1 test test   24244 Aug 13 06:30 124
-rwxr-xr-x 1 test test    4692 Apr 24 12:30 125
-rwxr-xr-x 1 test test    3291 Apr 24 12:30 126
-rwxr-xr-x 1 test test    2761 Apr 24 12:30 127
-rwxr-xr-x 1 test test    2047 Apr 24 12:30 128
-rwxr-xr-x 1 test test    3216 Apr 24 12:30 129
-rwxr-xr-x 1 test test    3020 Apr 24 12:30 130
-rwxr-xr-x 1 test test    2505 Apr 24 12:30 131
-rwxr-xr-x 1 test test    2057 Apr 24 12:30 132
-rwxr-xr-x 1 test test    2787 Apr 24 12:30 133
-rwxr-xr-x 1 test test    2105 Apr 24 12:30 134
-rwxr-xr-x 1 test test    1301 Apr 24 12:30 135
-rwxr-xr-x 1 test test   13594 Apr 24 12:30 136
-rwxr-xr-x 1 test test    5065 Apr 24 12:30 137
-rwxr-xr-x 1 test test    2179 Apr 24 12:30 138
-rwxr-xr-x 1 test test   15195 Apr 24 12:30 139
-rwxr-xr-x 1 test test    2659 Apr 24 12:30 140
-rwxr-xr-x 1 test test    5114 Aug 13 06:30 141
-rwxr-xr-x 1 test test   12603 Apr 24 12:30 142
-rwxr-xr-x 1 test test    1852 Apr 24 12:30 143
-rwxr-xr-x 1 test test    3272 Aug 13 06:30 144
-rwxr-xr-x 1 test test    1729 Apr 24 12:30 145
-rwxr-xr-x 1 test test    3585 Apr 24 12:30 146
-rwxr-xr-x 1 test test    9135 Apr 24 12:30 147
-rwxr-xr-x 1 test test    5337 Apr 24 12:30 148
-rwxr-xr-x 1 test test   17428 Apr 24 12:30 149
-rwxr-xr-x 1 test test    1685 Apr 24 12:30 150
-rwxr-xr-x 1 test test    2320 Apr 24 12:30 152
-rwxr-xr-x 1 test test    8624 Aug 13 06:30 153
-rwxr-xr-x 1 test test   18742 Apr 24 12:30 154
-rwxr-xr-x 1 test test    9569 Aug 13 06:30 155
-rwxr-xr-x 1 test test    4989 Aug 13 06:30 156
-rwxr-xr-x 1 test test    2545 Apr 24 12:30 157
-rwxr-xr-x 1 test test    2613 Apr 24 12:30 158
-rwxr-xr-x 1 test test    1691 Apr 24 12:30 159
-rwxr-xr-x 1 test test    1772 Apr 24 12:30 160
-rwxr-xr-x 1 test test    3689 Apr 24 12:30 162
-rwxr-xr-x 1 test test    5886 Apr 24 12:30 163
-rwxr-xr-x 1 test test    3040 Apr 24 12:30 165
-rwxr-xr-x 1 test test    5751 Apr 24 12:30 169
-rwxr-xr-x 1 test test    1510 Apr 24 12:30 170
-rwxr-xr-x 1 test test    5775 Apr 24 12:30 171
-rwxr-xr-x 1 test test    8171 Apr 24 12:30 172
-rwxr-xr-x 1 test test    2660 Apr 24 12:30 173
-rwxr-xr-x 1 test test    1513 Apr 24 12:30 174
-rwxr-xr-x 1 test test    1528 Apr 24 12:30 175
-rwxr-xr-x 1 test test    6162 Apr 24 12:30 176
-rwxr-xr-x 1 test test    3310 Apr 24 12:30 177
-rwxr-xr-x 1 test test    5716 Apr 24 12:30 178
-rwxr-xr-x 1 test test    4827 Apr 24 12:30 179
-rwxr-xr-x 1 test test    3603 Apr 24 12:30 181
-rwxr-xr-x 1 test test    1846 Apr 24 12:30 182
-rwxr-xr-x 1 test test    3883 Apr 24 12:30 183
-rwxr-xr-x 1 test test    3820 Apr 24 12:30 184
-rwxr-xr-x 1 test test    6475 Aug 13 06:30 185
-rwxr-xr-x 1 test test    3526 Apr 24 12:30 186
-rwxr-xr-x 1 test test    1739 Apr 24 12:30 187
-rwxr-xr-x 1 test test    2104 Apr 24 12:30 188
-rwxr-xr-x 1 test test    2735 Apr 24 12:30 189
-rwxr-xr-x 1 test test    1531 Apr 24 12:30 190
-rwxr-xr-x 1 test test    4307 Aug 13 06:30 191
-rwxr-xr-x 1 test test    1737 Apr 24 12:30 192
-rwxr-xr-x 1 test test    3587 Apr 24 12:30 194
-rwxr-xr-x 1 test test    2364 Apr 24 12:30 195
-rwxr-xr-x 1 test test    2174 Apr 24 12:30 196
-rwxr-xr-x 1 test test    3864 Aug 13 06:30 197
-rwxr-xr-x 1 test test    3563 Apr 24 12:30 198
-rwxr-xr-x 1 test test    4195 Apr 24 12:30 199
-rwxr-xr-x 1 test test    3100 Apr 24 12:30 200
-rwxr-xr-x 1 test test    3028 Apr 24 12:30 201
-rwxr-xr-x 1 test test    3789 Apr 24 12:30 202
-rwxr-xr-x 1 test test    2549 Apr 24 12:30 203
-rwxr-xr-x 1 test test    3470 Apr 24 12:30 204
-rwxr-xr-x 1 test test    5211 Apr 24 12:30 205
-rwxr-xr-x 1 test test    9183 Aug 13 06:30 206
-rwxr-xr-x 1 test test    7770 Aug 13 06:30 207
-rwxr-xr-x 1 test test    2000 Apr 24 12:30 208
-rwxr-xr-x 1 test test    1264 Apr 24 12:30 209
-rwxr-xr-x 1 test test    6273 Aug 13 06:30 210
-rwxr-xr-x 1 test test    5148 Aug 13 06:30 211
-rwxr-xr-x 1 test test    5874 Aug 13 06:30 212
-rwxr-xr-x 1 test test    6254 Aug 13 06:30 213
-rwxr-xr-x 1 root root    3735 Aug 13 06:30 214
-rwxr-xr-x 1 root root    3909 Aug 13 06:30 215
-rwxr-xr-x 1 root root    4330 Aug 13 06:30 216
-rwxr-xr-x 1 root root    2259 Aug 13 06:30 217
-rwxr-xr-x 1 root root    3856 Aug 13 06:30 218
-rwxr-xr-x 1 root root    8822 Aug 13 06:30 219
-rwxr-xr-x 1 root root    1701 Aug 13 06:30 221
-rwxr-xr-x 1 root root    4731 Aug 13 06:30 222
-rwxr-xr-x 1 root root    3761 Aug 13 06:30 223
-rwxr-xr-x 1 root root    1919 Aug 13 06:30 226
-rwxr-xr-x 1 root root    2337 Aug 13 06:30 227

Comment 7 errata-xmlrpc 2018-11-01 11:13:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.